<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [gymWorkout](./bitburner.singularity.gymworkout.md)

## Singularity.gymWorkout() method

Workout at the gym.

**Signature:**

```typescript
gymWorkout(gymName: GymLocationName, stat: GymType, focus?: boolean): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

gymName


</td><td>

[GymLocationName](./bitburner.gymlocationname.md)


</td><td>

Name of gym. You must be in the correct city for whatever gym you specify.


</td></tr>
<tr><td>

stat


</td><td>

[GymType](./bitburner.gymtype.md)


</td><td>

The stat you want to train.


</td></tr>
<tr><td>

focus


</td><td>

boolean


</td><td>

_(Optional)_ Acquire player focus on this gym workout. Optional. Defaults to true.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if action is successfully started, false otherwise.

## Remarks

RAM cost: 2 GB \* 16/4/1

This function will automatically set you to start working out at a gym to train a particular stat. If you are already in the middle of some “working” action (such as working at a company, for a faction, or on a program), then running this function will automatically cancel that action and give you your earnings.

The cost and experience gains for all of these gyms are the same as if you were to manually visit these gyms and train

